Bug 89501 - Finalized configuration items set in Windows Registry can be overridden by user and can cause crashes
Summary: Finalized configuration items set in Windows Registry can be overridden by us...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 104005
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2015-02-20 14:44 UTC by hastegan
Modified: 2018-09-22 22:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hastegan 2015-02-20 14:44:16 UTC
Since LibreOffice 4.2 configuration items can be set with the Windows Registry, it is possible to set the value and set if it's a finalized item.

== Example ==

Add a reg entry in the Windows Registry (.reg file) :

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\LibreOffice\org.openoffice.Office.Common\Undo\Steps]
"Value"="42"
"Final"=dword:00000001

This file set the value 42 for max undo steps and also finalize the property.
A reboot is needed to apply the registry modification.

== Problem ==
In the user interface the field is not locked, it's possible to edit it. When the modification is applied LibreOffice makes an obvious fatal error: "configmgr modification of finalized item".

There is the same lock visualization problem with some checkboxes like in the Tools -> Options -> LibreOffice -> General -> Help menu with "Tips" and "Extended tips" checkboxes. But unlike the precedent case, their modification does not affect LibreOffice stability.

Of course I made some research to see if this bug is already known, it was was fixed in previous versions, but the problem still subsist.

Previous identical bug (with registrymodifications.xcu file) : https://bugs.documentfoundation.org/show_bug.cgi?id=69027
Comment 1 Cor Nouws 2015-02-20 16:22:48 UTC
looks much like bug 89417 ..
Comment 2 hastegan 2015-02-21 01:30:45 UTC
(In reply to Cor Nouws from comment #1)
> looks much like bug 89417 ..

Yes this is exactly the same kind of bug, and I read it before posting here. Fixes on bug 89417 only concern one checkbox : http://cgit.freedesktop.org/libreoffice/core/commit/?id=a96acacb91197a04e8fd9114d8c4bcda24372f54
Comment 3 Andras Timar 2015-10-03 18:54:36 UTC
I confirm this, and I found yet another example:

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\LibreOffice\org.openoffice.Office.Common\Save\Document\AutoSave]
"Value"="true"
"Final"=dword:00000001

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\LibreOffice\org.openoffice.Office.Recovery\AutoSave\TimeIntervall]
"Value"="5"
"Final"=dword:00000001

Tools - Options - Load/Save - General, modify TimeIntervall value, press OK. -> Fatal error. 

However this is not related to Windows registry, presumably one will get the same error when a setting is finalized through an extension or by other means. 

I don't see other solution, than all of these settings have to be found, and fixed similarly to bug 89417.
Comment 4 Cor Nouws 2015-10-04 20:42:59 UTC
(In reply to Andras Timar from comment #3)

> However this is not related to Windows registry, presumably one will get the
> same error when a setting is finalized through an extension or by other
> means. 

Indeed.

> I don't see other solution, than all of these settings have to be found, and
> fixed similarly to bug 89417.

Yep..
Comment 5 QA Administrators 2016-11-08 10:27:11 UTC Comment hidden (obsolete)
Comment 6 Andras Timar 2016-11-26 16:08:54 UTC
https://gerrit.libreoffice.org/#/c/31236/ solves the issues mentioned in Comment 3.
Comment 7 QA Administrators 2018-07-28 02:43:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug